import request from '../utils/request';

// 创建子公司
export function getCreate(data) {
  return request({
    url: '/baseCompany/api/create',
    method: 'post',
    data
  })
}

// 获取公司及其子公司信息
export function compAndChildrenInfo(params) {
  return request({
    url: '/baseCompany/query/compAndChildrenInfo',
    method: 'get',
    params: params
  })
}

// 删除公司
export function getDelete(data) {
  return request({
    url: '/baseCompany/api/delete',
    method: 'post',
    data
  })
}

// 获取公司详情
export function companyInfo(params) {
  return request({
    url: '/baseCompany/query/companyInfo',
    method: 'get',
    params: params
  })
}

// 修改
export function changeInfo(data) {
  return request({
    url: '/baseCompany/api/changeInfo',
    method: 'post',
    data
  })
}

// 组织本币
export function getSystemConsts(params) {
  return request({
    url: '/parameterCompany/query/parameterTenant',
    params
  })
}
